PDA

View Full Version : Please help me install tabix




LouiseT
Feb 11, 2013, 06:04 PM
Hi
I have basic problems installing software through my terminal.
(I have OS X 10.8.2, and have installed 'develupers package with Xcode, make, gcc...)
I am trying to install tabix (samtools). It does not have an INSTALL file for guidance. Do I need to use ./configure ?

53132-b99690:tabix-0.2.6 3 lthingholm$ ./configure
-bash: ./configure: No such file or directory

Do I need to do something to get configure in my PATH, is it just not needed or?
when I type $ make I get the following error:

gcc -c -g -Wall -O2 -fPIC -D_FILE_OFFSET_BITS=64 -D_USE_KNETFILE -DBGZF_CACHE bgzf.c -o bgzf.o
bgzf.c:25:19: error: stdio.h: No such file or directory
bgzf.c:26:20: error: stdlib.h: No such file or directory
bgzf.c:27:20: error: string.h: No such file or directory
bgzf.c:28:20: error: unistd.h: No such file or directory
bgzf.c:29:20: error: assert.h: No such file or directory
bgzf.c:30:23: error: sys/types.h: No such file or directory
In file included from bgzf.c:31:
bgzf.h:31:20: error: stdint.h: No such file or directory
bgzf.h:33:18: error: zlib.h: No such file or directory
In file included from bgzf.c:31:
bgzf.h:46: error: expected specifier-qualifier-list before ‘int64_t’
bgzf.h:55: error: expected specifier-qualifier-list before ‘size_t’
bgzf.h:99: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘bgzf_read’
bgzf.h:109: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘bgzf_write’
bgzf.h:132: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘bgzf_seek’
and so on..

Maybe I need a BGZF library or I need to put it in my path?

Please help my move on from here!
Thanks